import request from '@/utils/request'

// 查询楼宇管理列表
export function listFlat(query) {
  return request({
    url: '/plotmanage/flat/list',
    method: 'get',
    params: query
  })
}

// 查询楼宇管理详细
export function getFlat(id) {
  return request({
    url: '/plotmanage/flat/' + id,
    method: 'get'
  })
}

// 新增楼宇管理
export function addFlat(data) {
  return request({
    url: '/plotmanage/flat',
    method: 'post',
    data: data
  })
}

// 修改楼宇管理
export function updateFlat(data) {
  return request({
    url: '/plotmanage/flat',
    method: 'put',
    data: data
  })
}

// 删除楼宇管理
export function delFlat(id) {
  return request({
    url: '/plotmanage/flat/' + id,
    method: 'delete'
  })
}
